<!--
  Generated template for the RoundTripPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Round Trip</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<not-validated></not-validated>

	<ion-slides #slides class="swiper-no-swiping">

		<ion-slide style="height:100%;width:100%;overflow:auto;">
			<div class="text-center" padding>
			    
				<div id="location_from" padding>

					<h4>Where is your starting location?</h4>

					<p class="small-text text-medium">Please input a safe public place close to your starting point (like a coffee shop).</p>

					<div class="form">
						<ion-icon name="compass" class="current_loc" (click)="getCurrentLocation()"></ion-icon>
						<ion-item>
							<ion-input [(ngModel)]="autocomplete_from.input" (keyup)="updateSearchResultsFrom()" placeholder="Enter start address" type="text" id="searbar_from" clearInput></ion-input>
						</ion-item>

						<ion-list [hidden]="autocompleteItemsFrom.length == 0" class="search-locations">
							<ion-item *ngFor="let item of autocompleteItemsFrom" (click)="selectSearchResultFrom($event,item)" >{{ item.description }} </ion-item>
						</ion-list>
					</div>
				</div>

				<div id="location_to" class="padding-top" padding>
					
					<h4>Where does your trip end?</h4>
					
					<div class="form">
						<ion-item>
							<ion-input [(ngModel)]="autocomplete_to.input" 
							(keyup)="updateSearchResultsTo()" 
							placeholder="Enter end address" type="text" clearInput></ion-input>
						</ion-item>

						<ion-list [hidden]="autocompleteItemsTo.length == 0" class="search-locations">
							<ion-item *ngFor="let item of autocompleteItemsTo" tappable (click)="selectSearchResultTo(item)">
							      {{ item.description }}
							</ion-item>
						</ion-list>
					</div>
				</div>

				<!-- Stopovers -->
				<div padding>

					<h4>Do you want to include any pickup/dropoff points along the way?</h4>

					<div class="form">
						<ion-item>
							<ion-input [(ngModel)]="autocomplete_waypoint.input" (keyup)="updateSearchResultsWaypoint()"
									placeholder="Enter stopover location" type="text" clearInput>
							</ion-input>
						</ion-item>

						<ion-list [hidden]="autocompletewaypoint.length == 0" class="search-locations">
							<ion-item *ngFor="let item of autocompletewaypoint" (click)="selectSearchResultWaypoint($event,item)">
								{{ item.description }}
							</ion-item>
						</ion-list>

						<ion-list class="search-locations">
							<ion-item *ngFor="let points of waypoints; let i = index">
								<ion-grid>
									<ion-row>
									  <ion-col col-11 class="waypoint">{{points}}</ion-col>
									  <ion-col col-1 (click)="Waypointremove(points, i)">X</ion-col>
									</ion-row>
								  </ion-grid>
							</ion-item>
						</ion-list>
					</div>
				</div>

				<div *ngIf="hideMe" inset padding>
					<button (click)="makeDirections()" ion-button block color="primary" class="rounded">
						Route
					</button>
				</div>

				<div id="map"></div>

				<div *ngIf="totalDistance">
					<div class="rides">
						<ion-card text-center>
							<div class="pad-20">
								<h2>Distance: <span class="text-medium">{{totalDistance}} Miles</span></h2> 
								
							</div>
						</ion-card>
					</div>
					<!-- Taking this out for now because it won't style right and I'm not sure it makes sense, its a little confusing
						
					<button (click)="makeDirections()" ion-button color="medium" id="routeAgain" class="btn rounded">
						Route Again
					</button>-->
				</div>

				<div *ngIf="showMe">
					<button (click)="nextSlide()" ion-button full 
					color="primary" class="btn rounded">
						  Continue <ion-icon name="arrow-forward" style="padding-left: 10px;"></ion-icon>
					</button>
				</div>
				
			</div>
		</ion-slide>


		<!-- Pricing of the routes --> 
		<ion-slide>
		    <div class="text-center pad-all-10">
		    	<h2 class="pad-20"> Price per seat: </h2>

		    	<div class="pricing">
		    		<ion-grid>
		    			<ion-row>
		    				<ion-col col-6>
		    					<div class="ride-detail">
					                <p><span class="icon-location bg-theme"></span> 	  
					                	{{city_from}}
					                </p>
					                <p><span class="icon-location bg-stop"></span> 
					                	{{city_to}}
					                </p>
					            </div>
		    				</ion-col>
		    				<ion-col col-6>
		    					<ion-row style="padding-top: 25px;">
		    						<ion-col col-3 class="text-left">
		    							<button (click)="sub(pricePerSeat)" class="priceIcons">
				    						<ion-icon name="remove" class="grey-circle"></ion-icon>
				    					</button>
				    				</ion-col>
				    				<ion-col col-6>
				    					<h4 class="text-center" style="padding:11px 0 0 18px"> ${{ pricePerSeat }} </h4>
				    				</ion-col>
				    				<ion-col col-3>
				    					<button (click)="add(pricePerSeat)" class="priceIcons">
			    							<ion-icon name="add" class="grey-circle"></ion-icon>
			    						</button>
				    				</ion-col>
			    				</ion-row>
		    				</ion-col>
		    			</ion-row>
		    		</ion-grid>
		    	</div>

		    	<ion-list *ngFor="let stop of stopOvers; let i = index">
		    		<ion-grid>
		    			<ion-row>
		    				<ion-col col-6>
		    					<div class="ride-detail">
					                <p><span class="icon-location bg-theme"></span> 	  
					                	{{stop.from}}
					                </p>
					                <p><span class="icon-location bg-stop"></span> 
					                	{{stop.to}}
					                </p>
					            </div>
		    				</ion-col>

		    				<ion-col col-6>
		    					<ion-row style="padding-top: 25px;">
			    					<ion-col col-3>
			    						<button (click)="subFrom(i)" class="priceIcons">
				    						<ion-icon name="remove" class="grey-circle"></ion-icon>
				    					</button>
				    				</ion-col>
				    				<ion-col col-6>
				    					<h4 class="text-center" style="padding:11px 0 0 18px"> ${{ stop.price_from }} </h4>
				    				</ion-col>
				    				<ion-col col-3>
				    					<button (click)="addFrom(i)" class="priceIcons">
				    						<ion-icon name="add" class="grey-circle"></ion-icon>
				    					</button>
				    				</ion-col>
			    				</ion-row>
		    				</ion-col>
		    			</ion-row>
		    		
		    		</ion-grid>
		    		<ion-grid>
		    			<ion-row>
		    				<ion-col col-6>
		    					<div class="ride-detail">
					                <p><span class="icon-location bg-theme"></span> 	  
					                	{{stop.city_name}}
					                </p>
					                <p><span class="icon-location bg-stop"></span> 
					                	{{stop.end}}
					                </p>
					            </div>
		    				</ion-col>

		    				<ion-col col-6>
		    					<ion-row style="padding-top: 25px;">
			    					<ion-col col-3>
			    						<button (click)="subTo(i)" class="priceIcons">
				    						<ion-icon name="remove" class="grey-circle"></ion-icon>
				    					</button>
				    				</ion-col>
				    				<ion-col col-6>
				    					<h4 class="text-center" style="padding:11px 0 0 18px"> ${{ stop.price_to }} </h4>
				    				</ion-col>
				    				<ion-col col-3>
				    					<button (click)="addTo(i)" class="priceIcons">
				    						<ion-icon name="add" class="grey-circle"></ion-icon>
				    					</button>
				    				</ion-col>
			    				</ion-row>
		    				</ion-col>
		    			</ion-row>
		    		</ion-grid>
		    	</ion-list>

			    <ion-row>
			    	<button (click)="nextPage()" ion-button full color="primary" class="btn rounded">
						  Continue <ion-icon name="arrow-forward" style="padding-left:10px"></ion-icon>
					</button>
			    </ion-row>

		    </div>

		</ion-slide>
	</ion-slides>
</ion-content>
